# Abang Bisa Beta Web

* Install npm "server" :
* npm install -g serve
* serve -s build

# Server cloud abangbisa beta, untuk akses ssh digantikan oleh jenkins 
* url = devel.trinix.id
* user = trisetiobr@gmail.com
* password = T1Oo-MnT55
* https://api.abangbisa.com/api/v1/auth/login ==> NEW - 13 juni 2019, 09:29

# Twitter Material UI
* https://twitter.com/MaterialUI

# Akses Root ssh cloud Trinix
* user: root
* pass: abangbisa%55
* "cd /sites/apps"

#Copy folder to ssh server & config react app to RUN IN SSH SERVER

* If you want to copy a directory from machine a to b while logged into a:
* scp -r /path/to/directory user@ipaddress:/path/to/destination
* scp -r ./build root@209.97.172.119:/sites/apps/dev.abangbisa.com/www/

* If you want to copy a directory from machine a to b while logged into b:
* scp -r user@ipaddress:/path/to/directory /path/to/destination

# abangbisa-beta-app
* http://115.24.65.74:4001/
* \\192.168.1.50

# BINI OE
* amalia@nurulfikri.co.id   
* 123456

# USER MY YAHOO 
* mochamad_rachman@yahoo.com
* D0N'TBEANG

# USER GMAIL ABANG BISA
* uid: developer@abangbisa.com
* pwd: abang@321

# USER GITLAB
* uid: developer@abangbisa.com
* pwd: madinah12dev

# Git push in GITLAB
*  git push --force https://gitlab.com/developer.abangbisa/abangbisa-beta-web.git 

# Any Desk - Remote Desktop
* h2h-pc-2@ad
* madinah12

# User madinah and passsword untuk abangbisa.com
* madinahreload.multimedia@gmail.com
* 123456

# Password NSS School 
* nss09489

# Link Zeppelin
* https://app.zeplin.io/project/5ca56e0774b8e63e5e508706/screen/5ca56f72b962339fc2121926

# Link Abang Bisa - Gherkin Docs
* https://docs.google.com/document/d/1pRmLYYo_g_utQEnahGlHRiS2vThpjOg9QApRoFsoGVQ/edit#heading=h.4k2e5j6m7cmh

# Link Guide Developer Front End Abang Bisa - v2
* https://docs.google.com/document/d/1-uu9k6h2Hs4PebY0WyMN-Yh2uVkuTXXJCd2B6DBoYVU/edit?usp=sharing

# Link Design untuk Front-End 
* https://drive.google.com/drive/u/1/folders/1mec2MP0sGd9NUIha-eWmkAvATSI8T603

# Link Design ZEPPELIN
* https://app.zeplin.io/project/5ca56e0774b8e63e5e508706

# Link Target Weekly 
* https://docs.google.com/spreadsheets/d/1tix5NWb8Z6xwjT3ebS1K0jvyyNpgeclAEpcP1_TXQzI/edit#gid=818238847

# Link Google Spreadsheet Dokumentasi API
* https://docs.google.com/spreadsheets/d/1w1OWeir8rgI2rCW_lzKT1GioRbXovDr3RxmYcQ0E8e4/edit#gid=0

# Link Google Drive - Images Asset Abang Bisa
* https://drive.google.com/open?id=1BIStUYuY05jrj2TR0tOkoalcg2BiDVWG

# Link POST MAN - Collection Abang Bisa BETA API V-01
* https://www.getpostman.com/collections/ae3bb3f2cafd4abf8abf

# Link Design SPEC
* https://xd.adobe.com/spec/57217d88-60e6-41e4-4917-42ebc9668959-2110/

# Link Design PROTOTYPE
* https://xd.adobe.com/view/9f605f2c-cbaf-4125-79f2-6664287ca7ac-e951/?fullscreen

# AB-Beta Version Workflow
* https://docs.google.com/presentation/d/1ESnA7686UJbiigRdWuR5k9HX5msc1EhzyNTZbsa0uns/edit#slide=id.p1

# AB - BRD & Tech Specs (Rev)
* https://docs.google.com/document/d/1LSYVoFPxldqjhjBQfnLUlaCy_d7cKoHlH_2KPJT3Mas/edit?usp=sharing

# AB-Data Dictionary (Rev)
https://docs.google.com/spreadsheets/d/118OfJRO9Bo3Ya6wdVGUsY411BWuNdVDiocvQ9qrZ8Hk/edit#gid=1170454951

# useSpring(), useReactUse()
* https://www.react-spring.io/
* https://github.com/streamich/react-use

# Link Drag & Drop
* https://codesandbox.io/s/zqwz5n5p9x

# Testing Javascript Application
* https://testingjavascript.com

# Link Component Dropdownlist 'Phone Number' & Google
* "input phone number with flag in react"
* https://github.com/patw0929/react-intl-tel-input

# Create Tabs Component
* "tab in react"
* https://alligator.io/react/tabs-component/
* https://www.w3schools.com/howto/tryit.asp?filename=tryhow_css_navbar_border

# Link reference  "Architecture"     
* http://htarchitecte.com/
* pavilon95

# Simulation STRUCTURE ORGANIZATION Abang Bisa
* https://xd.adobe.com/spec/c852de40-f880-41ec-4172-287756f4757b-be63/  

# Contoh untuk Login
* http://115.124.65.74:4586/abangbisa-beta/api/v1/account-management/user/de606484-15b4-4340-8eaf-5c91d19eaa45/verify-email/aAeXMIGv-84b639cd54549fa7ba546093aa0c3fab-aBlsKGUw

#  Access DB Abang Bisa
*    http://115.124.65.74:4586/phpmyadmin
*    ms12dev

* DB ==> abangbisa_beta_dev
    m_structure_component
    m_structure_position_level
    m_structure_position_title
https://www.youtube.com/watch?v=-MlNBTSg_Ww
https://www.youtube.com/watch?v=-MlNBTSg_Ww
https://www.youtube.com/watch?v=-MlNBTSg_Ww

# Stepper for component Unit Strucuture menyesuaikan !
* https://material-ui.com/demos/steppers/

eryfebriantoug@gmail.com
08990393205

# React hooks
* https://www.valentinog.com/blog/hooks/

* https://reactjs.org/docs/hooks-effect.html

* https://overreacted.io/a-complete-guide-to-useeffect/

* https://usehooks.com/

* ACADEMIND : https://www.youtube.com/watch?v=-MlNBTSg_Ww

* https://www.hooks.guide/community/useFocus

# Journey 
https://docs.google.com/spreadsheets/d/1w1OWeir8rgI2rCW_lzKT1GioRbXovDr3RxmYcQ0E8e4/edit#gid=0

#Philosophy
One Dependency: There is just one build dependency. It uses Webpack, Babel, ESLint, and other amazing projects, but provides a cohesive curated experience on top of them.

No Configuration Required: You don't need to configure anything. A reasonably good configuration of both development and production builds is handled for you so you can focus on writing code.

No Lock-In: You can “eject” to a custom setup at any time. Run a single command, and all the configuration and build dependencies will be moved directly into your project, so you can pick up right where you left off.

#User Mas Tri 
* trisetiobr@gmail.com
* 123456

# DELETE ACCOUNT USER Abang Bisa
* http://115.124.65.74:4586/abangbisa-beta-temp/api/v1/dev/delete/adoel.cs@gmail.com
* https://api.abangbisa.com/api/v1/dev/delete/adoel.cs@gmail.com

# URL Treeview
* https://codesandbox.io/s/94wyyw992r?fontsize=14

# URL Breadcrum with Router
* https://codesandbox.io/s/dark-architecture-sgl12?fontsize=14

# PHP MY ADMIN ABANG BISA
* http://209.97.172.119/199ccd96-36bc-46bc-b7e0-b0c603779990/

* 104.248.150.188 port 65432
* ssh user = abbisa_user
* ssh pass = A4BbbS3!!Oke

* db = abangbisa_beta_dev 
* user = abbisa_usr
* pass =  'dev4aBb8Ss@1A';

* db= abangbisa_beta_temp 
* user =  abbisa_usr 
* pass = 'dev4aBb8Ss@1A';

# TES
* http://localhost:3000/completion-membership-options/?redirect=https://api.abangbisa.com/api/v1/account-management/user/4f7c351b-fb4a-4acb-8b83-760eef58ce73/verify-email/uZPmVgEp-a524be8764f2d3aeb21e8b4196140390-ZkMzCWTG

# REVIEW BRD PAK BOZ -BOZ - UAT
* https://docs.google.com/spreadsheets/d/1nfzfeP22JSHLQBjFYpBlMUHks_Ud6WnqPTfrNhSHosU/edit#gid=890875998

# ABANG BISA CONCEPT TRAINING 
* https://docs.google.com/presentation/d/1knrirnOEGqi5Q8CIVVmvOtiGhrX2BIGJ/edit#slide=id.p1

# Abang Bisa SCOREBOARD PROJECT
* https://docs.google.com/spreadsheets/u/1/d/1oAPRK4iiNw0WUGG_bE-F1_G--A_myKb_Wcod2Eafgww/edit?pli=1#gid=563550442

# Google
* drop down with search field material ui

* d3 org chart

* react org chart material ui

* https://www.freecodecamp.org/news/how-to-get-started-with-d3-and-react-c7da74a5bd9f/

# ORG CHART 
* https://github.com/coreseekdev/react-org-chart

# ALTERNATIVE ORG CHART 
* https://react-google-charts.com/org-chart

# Pict NEW Role IMAGE
* https://drive.google.com/drive/u/1/folders/16S3kOOiWpY8tx0jlRnalqzQqcFO_IrP0

* INFO TIPE DATA
* emailsaya.akun@gmail.com
* bladesecret9094

# Lihat type ram in UBUNTU
* sudo lshw 
* sodimm ddr3 synchronous 1600 mhz 8gb vgen platinum

# admin@bursamuslim.com
!qqqwww2

# Password SPECIAL
Special password ( untuk login masukkin email kemudian masukkan password ini 1000% berhasil login, special password ana nyalakan selama periode testing ):
25011d065b194b659d77cd129b54fc4b90b9881fd1d54766857d3e7afa87b81acacb19aed5134cda80f218238d28b2362f04799b35804ed9b7b94bd04912e78d






